ISC BIND < 8.4.6 dnssec authvalidated Crafted Packet Remote DoS (deprecated)

Medium Nessus Network Monitor Plugin ID 2557

Synopsis

The remote host is vulnerable to a Denial of Service (DoS) attack.

Description

The remote BIND server, according to its version number, has a flaw in the way 'authvalidator()' is implemented. An attacker may be able to launch a denial of service attack against the remote service.

Solution

Upgrade to Bind 8.4.6 or higher or the newest version of BIND 9.

See Also

http://www.kb.cert.org/vuls/id/938617

https://www.isc.org/node/398

Plugin Details

Severity: Medium

ID: 2557

Family: DNS Servers

Published: 2005/01/26

Modified: 2018/09/16

Dependencies: 1000

Nessus ID: 16261

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4.3

Temporal Score: 3.2

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSSv3

Base Score: 3.6

Temporal Score: 3.1

Vector: CVSS3#AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L

Temporal Vector: CVSS3#E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:isc:bind:9.3.0

Reference Information

CVE: CVE-2005-0034

BID: 12365, 12497